
const String build_gradle = r'''
buildscript {
    ext.kotlin_version = '1.4.0'

    apply from: '../common-service-repo/configuration.gradle'
    apply from: '../common-service-repo/versions.gradle'
    rootProject.ext.setVersions rootProject

    repositories {
        maven {
            credentials {
                username MAVEN_ACCOUNT_NAME
                password MAVEN_ACCOUNT_PWD
            }
            url MAVEN_SNAPSHOT_URL
        }
        maven {
            credentials {
                username MAVEN_ACCOUNT_NAME
                password MAVEN_ACCOUNT_PWD
            }
            url MAVEN_RELEASE_URL
        }

        google()
        jcenter()
        mavenCentral()
        maven { url "https://maven.google.com" }

        maven { url "http://mvn.gt.igexin.com/nexus/content/repositories/releases/" }
        maven { url "https://jitpack.io" }
        maven { url 'https://developer.huawei.com/repo/'}
    }

    dependencies {
        classpath rootProject.deps.androidGradlePlugin
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"

        classpath 'com.jfrog.bintray.gradle:gradle-bintray-plugin:1.7.3'
        classpath 'com.github.dcendents:android-maven-plugin:1.2'
        classpath 'com.google.gms:google-services:4.3.8'
        classpath 'com.neenbedankt.gradle.plugins:android-apt:1.8'

        //wmrouter gradle插件
        classpath rootProject.deps.router.gradlePlugin
        //greenDao gradle插件
        classpath rootProject.deps.greendaoPlugin

        //protoBuf gradle插件
        classpath rootProject.deps.protobufPlugin

        //firebase性能监控插件
        classpath rootProject.deps.firebase_perf_plugin
        //firebase闪退监控插件
        classpath rootProject.deps.firebase_crash_plugin

        //klook-plugin
        classpath ('com.klook.plugin:gradle-plugin:1.1.81')
    }
}

// Flutter module配置
apply from: '../common-service-repo/flutter-add-to-app.gradle'

allprojects {
    repositories {
        maven {
            credentials {
                username MAVEN_ACCOUNT_NAME
                password MAVEN_ACCOUNT_PWD
            }
            url MAVEN_SNAPSHOT_URL
        }
        maven {
            credentials {
                username MAVEN_ACCOUNT_NAME
                password MAVEN_ACCOUNT_PWD
            }
            url MAVEN_RELEASE_URL
        }
        google()
        jcenter()
        mavenCentral()

        maven { url "http://mvn.gt.igexin.com/nexus/content/repositories/releases/" }
        maven { url "https://jitpack.io" }
        maven { url "https://github.com/syrjs/maven/raw/master" }
        maven { url "https://github.com/paypal/paypalcheckout-android/raw/nativeSDK" }
        maven { url 'https://devrepo.kakao.com/nexus/content/groups/public/' }
        maven { url 'https://developer.huawei.com/repo/' }
        maven { url 'http://download.flutter.io' }
        //mapBox Sdk仓库地址
        //文档地址：https://docs.mapbox.com/android/maps/guides/install/
        maven {
            url 'https://api.mapbox.com/downloads/v2/releases/maven'
            authentication {
                basic(BasicAuthentication)
            }
            credentials {
                // Do not change the username below.
                // This should always be `mapbox` (not your username).
                username = 'mapbox'
                // Use the secret token you stored in gradle.properties as the password
                password = project.properties['MAPBOX_DOWNLOADS_TOKEN'] ?: ""
            }
        }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
''';